/*
 * Class LIST [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_769 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_769 [] = {0xFF01,237,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_769 [] = {0xFF01,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_769 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_769 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_769 [] = {0xFF01,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_769 [] = {0xFF01,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_769 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_769 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_769 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_769 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_769 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_769 [] = {768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_769 [] = {0xFF01,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_769 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_769 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_769 [] = {0xFF01,750,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_769 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_769 [] = {0xFF01,768,209,0xFFFF};
static const EIF_TYPE_INDEX egt_28_769 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_769[] = {
	{EIF_GENERIC(NULL), 4685, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_769), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_769), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_769), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_769), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_769), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_769), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_769), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_769), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_769), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_769), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_769), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_769), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_769), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_769), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4504, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_769), 2453, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_769), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_769), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2495, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4508, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_769), 2446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4511, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_769), 4506, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_769), 4509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4514, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_769), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4493, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2452, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_769), 4506, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_769), 4507, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4496, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4496, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4498, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_769), 3381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_769), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4684, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2444, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2591, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4497, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_769), 4502, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_769), 4503, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4512, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4513, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4515, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4516, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4495, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4499, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_769), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4508, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_769), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init769(void)
{
	IDSC(desc_769, 0, 768);
	IDSC(desc_769 + 1, 1, 768);
	IDSC(desc_769 + 32, 77, 768);
	IDSC(desc_769 + 41, 243, 768);
	IDSC(desc_769 + 47, 155, 768);
	IDSC(desc_769 + 56, 256, 768);
	IDSC(desc_769 + 59, 30, 768);
	IDSC(desc_769 + 66, 187, 768);
	IDSC(desc_769 + 72, 282, 768);
	IDSC(desc_769 + 81, 99, 768);
	IDSC(desc_769 + 83, 294, 768);
	IDSC(desc_769 + 86, 237, 768);
	IDSC(desc_769 + 88, 329, 768);
	IDSC(desc_769 + 102, 229, 768);
	IDSC(desc_769 + 103, 184, 768);
	IDSC(desc_769 + 106, 50, 768);
	IDSC(desc_769 + 107, 35, 768);
	IDSC(desc_769 + 108, 172, 768);
}


#ifdef __cplusplus
}
#endif
